import * as aws from 'aws-sdk';
export interface SnsProducerOptions {
    topicArn?: string;
    region?: string;
    largePayloadThoughS3?: boolean;
    allPayloadThoughS3?: boolean;
    s3Bucket?: string;
    sns?: aws.SNS;
    s3?: aws.S3;
    snsEndpointUrl?: string;
    s3EndpointUrl?: string;
}
export interface PublishResult {
    snsResponse: any;
    s3Response?: any;
}
export declare class SnsProducer {
    private topicArn;
    private sns;
    private s3;
    private largePayloadThoughS3;
    private allPayloadThoughS3;
    private s3Bucket;
    constructor(options: SnsProducerOptions);
    static create(options: SnsProducerOptions): SnsProducer;
    publishJSON(message: object): Promise<PublishResult>;
}
